all: test-linux-arm64 build-linux-arm64

test-linux-arm64:
	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 GO111MODULE=on  go mod tidy
	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 GO111MODULE=on  go test global/global_test.go

build-linux-arm64:
	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 GO111MODULE=on  go mod tidy
	CGO_ENABLED=0 GOOS=linux GOARCH=arm64 GO111MODULE=on  go build -v -a -o ipregion.bin main.go